<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="21701" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_0" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="21679"/>
        <capability name="Named colors" minToolsVersion="9.0"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <customFonts key="customFonts">
        <array key="BRSonoma-Light.otf">
            <string>BRSonoma-Light</string>
        </array>
        <array key="BRSonoma-Regular.otf">
            <string>BRSonoma-Regular</string>
        </array>
    </customFonts>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner"/>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <tableViewCell contentMode="scaleToFill" selectionStyle="none" indentationWidth="10" reuseIdentifier="UserListChatCell" id="KGk-i7-Jjw" customClass="UserListChatCell" customModule="WoWonder" customModuleProvider="target">
            <rect key="frame" x="0.0" y="0.0" width="414" height="64"/>
            <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
            <tableViewCellContentView key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" tableViewCell="KGk-i7-Jjw" id="H2p-sc-9uM">
                <rect key="frame" x="0.0" y="0.0" width="414" height="64"/>
                <autoresizingMask key="autoresizingMask"/>
                <subviews>
                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Ax2-zD-pAw">
                        <rect key="frame" x="0.0" y="0.0" width="414" height="64"/>
                        <subviews>
                            <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="dm_image" translatesAutoresizingMaskIntoConstraints="NO" id="dZa-1C-O7n">
                                <rect key="frame" x="20" y="8" width="48" height="48"/>
                                <constraints>
                                    <constraint firstAttribute="width" secondItem="dZa-1C-O7n" secondAttribute="height" multiplier="1:1" id="Dzx-3I-2uO"/>
                                    <constraint firstAttribute="height" constant="48" id="VLK-G5-bJE"/>
                                </constraints>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="boolean" keyPath="isSkeletonable" value="YES"/>
                                    <userDefinedRuntimeAttribute type="boolean" keyPath="iscircleCorner" value="YES"/>
                                </userDefinedRuntimeAttributes>
                            </imageView>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="252" verticalHuggingPriority="251" text="User Name Label" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="31f-rb-MEd">
                                <rect key="frame" x="80" y="9.6666666666666643" width="121.66666666666669" height="25"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="25" id="DX4-Oc-TOU"/>
                                </constraints>
                                <fontDescription key="fontDescription" name="BRSonoma-Regular" family="BRSonoma-Regular" pointSize="15"/>
                                <color key="textColor" name="text_color"/>
                                <nil key="highlightedColor"/>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="boolean" keyPath="isSkeletonable" value="YES"/>
                                </userDefinedRuntimeAttributes>
                            </label>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="00:00:00" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="HTB-fD-O0A">
                                <rect key="frame" x="343" y="12" width="51" height="20"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="20" id="uAI-Er-1Or"/>
                                </constraints>
                                <fontDescription key="fontDescription" name="BRSonoma-Regular" family="BRSonoma-Regular" pointSize="12"/>
                                <color key="textColor" name="secondary_text_color"/>
                                <nil key="highlightedColor"/>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="boolean" keyPath="isSkeletonable" value="YES"/>
                                </userDefinedRuntimeAttributes>
                            </label>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Gdg-Bj-cNh">
                                <rect key="frame" x="52" y="8" width="16" height="16"/>
                                <subviews>
                                    <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="ic_Offline" translatesAutoresizingMaskIntoConstraints="NO" id="ziR-3z-1hE">
                                        <rect key="frame" x="2" y="2" width="12" height="12"/>
                                        <color key="tintColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <userDefinedRuntimeAttributes>
                                            <userDefinedRuntimeAttribute type="boolean" keyPath="iscircleCorner" value="YES"/>
                                            <userDefinedRuntimeAttribute type="number" keyPath="borderWidthV">
                                                <real key="value" value="1"/>
                                            </userDefinedRuntimeAttribute>
                                            <userDefinedRuntimeAttribute type="color" keyPath="borderColorV">
                                                <color key="value" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                            </userDefinedRuntimeAttribute>
                                        </userDefinedRuntimeAttributes>
                                    </imageView>
                                </subviews>
                                <color key="backgroundColor" name="color_fill"/>
                                <constraints>
                                    <constraint firstItem="ziR-3z-1hE" firstAttribute="leading" secondItem="Gdg-Bj-cNh" secondAttribute="leading" constant="2" id="2iu-uH-9QA"/>
                                    <constraint firstItem="ziR-3z-1hE" firstAttribute="top" secondItem="Gdg-Bj-cNh" secondAttribute="top" constant="2" id="BHb-r9-GV0"/>
                                    <constraint firstAttribute="width" secondItem="Gdg-Bj-cNh" secondAttribute="height" multiplier="1:1" id="FK2-XO-5j4"/>
                                    <constraint firstAttribute="bottom" secondItem="ziR-3z-1hE" secondAttribute="bottom" constant="2" id="Ptr-XA-6Mh"/>
                                    <constraint firstAttribute="height" constant="16" id="V3b-xP-WEo"/>
                                    <constraint firstAttribute="trailing" secondItem="ziR-3z-1hE" secondAttribute="trailing" constant="2" id="og8-aj-BGg"/>
                                </constraints>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="boolean" keyPath="iscircleCorner" value="YES"/>
                                    <userDefinedRuntimeAttribute type="boolean" keyPath="isSkeletonable" value="YES"/>
                                </userDefinedRuntimeAttributes>
                            </view>
                            <stackView opaque="NO" contentMode="scaleToFill" alignment="center" spacing="4" translatesAutoresizingMaskIntoConstraints="NO" id="PNV-Lz-fP9">
                                <rect key="frame" x="80" y="36.666666666666664" width="220" height="16"/>
                                <subviews>
                                    <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="ic_last_phone" translatesAutoresizingMaskIntoConstraints="NO" id="cyE-qd-rWj">
                                        <rect key="frame" x="0.0" y="2" width="12" height="12"/>
                                        <color key="tintColor" name="color_react"/>
                                        <constraints>
                                            <constraint firstAttribute="height" constant="12" id="EIU-nR-qRt"/>
                                            <constraint firstAttribute="width" secondItem="cyE-qd-rWj" secondAttribute="height" multiplier="1:1" id="XOa-Ox-VrX"/>
                                        </constraints>
                                        <userDefinedRuntimeAttributes>
                                            <userDefinedRuntimeAttribute type="boolean" keyPath="isSkeletonable" value="YES"/>
                                        </userDefinedRuntimeAttributes>
                                    </imageView>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Last Message" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="IDk-Rn-rG8">
                                        <rect key="frame" x="16" y="0.66666666666667052" width="204" height="14.666666666666664"/>
                                        <fontDescription key="fontDescription" name="BRSonoma-Regular" family="BRSonoma-Regular" pointSize="12"/>
                                        <color key="textColor" name="secondary_text_color"/>
                                        <nil key="highlightedColor"/>
                                        <userDefinedRuntimeAttributes>
                                            <userDefinedRuntimeAttribute type="boolean" keyPath="isSkeletonable" value="YES"/>
                                        </userDefinedRuntimeAttributes>
                                    </label>
                                </subviews>
                            </stackView>
                            <stackView opaque="NO" contentMode="scaleToFill" alignment="center" spacing="5" translatesAutoresizingMaskIntoConstraints="NO" id="uvH-F7-OXv">
                                <rect key="frame" x="304" y="32.666666666666664" width="90" height="20"/>
                                <subviews>
                                    <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="volume.slash.fill" catalog="system" translatesAutoresizingMaskIntoConstraints="NO" id="EbH-9c-zMB">
                                        <rect key="frame" x="0.0" y="1.6666666666666661" width="20" height="17.666666666666671"/>
                                        <color key="tintColor" name="secondary_text_color"/>
                                        <constraints>
                                            <constraint firstAttribute="width" constant="20" id="ERj-vy-tou"/>
                                            <constraint firstAttribute="height" constant="20" id="eTt-Xv-VIA"/>
                                        </constraints>
                                        <userDefinedRuntimeAttributes>
                                            <userDefinedRuntimeAttribute type="boolean" keyPath="isSkeletonable" value="YES"/>
                                        </userDefinedRuntimeAttributes>
                                    </imageView>
                                    <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="icon_pin_vector" translatesAutoresizingMaskIntoConstraints="NO" id="FyK-t8-FJU">
                                        <rect key="frame" x="25" y="0.0" width="20" height="20"/>
                                        <color key="tintColor" name="secondary_text_color"/>
                                        <constraints>
                                            <constraint firstAttribute="width" constant="20" id="4MA-pD-3jf"/>
                                            <constraint firstAttribute="height" constant="20" id="Idt-SX-0jW"/>
                                        </constraints>
                                        <userDefinedRuntimeAttributes>
                                            <userDefinedRuntimeAttribute type="boolean" keyPath="isSkeletonable" value="YES"/>
                                        </userDefinedRuntimeAttributes>
                                    </imageView>
                                    <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" translatesAutoresizingMaskIntoConstraints="NO" id="g6Y-hX-ou9">
                                        <rect key="frame" x="50" y="2.3333333333333357" width="15" height="15"/>
                                        <constraints>
                                            <constraint firstAttribute="height" constant="15" id="5O6-eO-S56"/>
                                            <constraint firstAttribute="width" constant="15" id="W9C-E8-Hvf"/>
                                        </constraints>
                                        <userDefinedRuntimeAttributes>
                                            <userDefinedRuntimeAttribute type="boolean" keyPath="isSkeletonable" value="YES"/>
                                        </userDefinedRuntimeAttributes>
                                    </imageView>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Shj-95-1fb">
                                        <rect key="frame" x="70" y="0.0" width="20" height="20"/>
                                        <subviews>
                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="0" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="enN-sb-fUR">
                                                <rect key="frame" x="2" y="2" width="16" height="16"/>
                                                <fontDescription key="fontDescription" name="BRSonoma-Light" family="BRSonoma-Light" pointSize="10"/>
                                                <color key="textColor" name="gnt_white"/>
                                                <nil key="highlightedColor"/>
                                            </label>
                                        </subviews>
                                        <constraints>
                                            <constraint firstAttribute="width" constant="20" id="JDn-xl-Z97"/>
                                            <constraint firstAttribute="bottom" secondItem="enN-sb-fUR" secondAttribute="bottom" constant="2" id="Kdz-FP-Rcf"/>
                                            <constraint firstItem="enN-sb-fUR" firstAttribute="leading" secondItem="Shj-95-1fb" secondAttribute="leading" constant="2" id="NkN-gK-zru"/>
                                            <constraint firstAttribute="height" constant="20" id="PEM-Mw-Sm2"/>
                                            <constraint firstAttribute="trailing" secondItem="enN-sb-fUR" secondAttribute="trailing" constant="2" id="cqM-Xq-dmX"/>
                                            <constraint firstItem="enN-sb-fUR" firstAttribute="top" secondItem="Shj-95-1fb" secondAttribute="top" constant="2" id="yUL-yC-DB3"/>
                                        </constraints>
                                        <userDefinedRuntimeAttributes>
                                            <userDefinedRuntimeAttribute type="boolean" keyPath="iscircleCorner" value="YES"/>
                                            <userDefinedRuntimeAttribute type="boolean" keyPath="isSkeletonable" value="YES"/>
                                        </userDefinedRuntimeAttributes>
                                    </view>
                                </subviews>
                            </stackView>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="e1F-sr-cmv">
                                <rect key="frame" x="344" y="0.0" width="70" height="64"/>
                                <constraints>
                                    <constraint firstAttribute="width" constant="70" id="jow-cc-UUj"/>
                                </constraints>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="boolean" keyPath="isSkeletonable" value="YES"/>
                                </userDefinedRuntimeAttributes>
                            </view>
                        </subviews>
                        <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        <constraints>
                            <constraint firstItem="HTB-fD-O0A" firstAttribute="centerY" secondItem="31f-rb-MEd" secondAttribute="centerY" id="4XI-M0-IA8"/>
                            <constraint firstItem="31f-rb-MEd" firstAttribute="top" secondItem="dZa-1C-O7n" secondAttribute="top" constant="1.5" id="7Vh-By-tzL"/>
                            <constraint firstItem="31f-rb-MEd" firstAttribute="leading" secondItem="dZa-1C-O7n" secondAttribute="trailing" constant="12" id="9Vx-mL-J2z"/>
                            <constraint firstItem="Gdg-Bj-cNh" firstAttribute="top" secondItem="dZa-1C-O7n" secondAttribute="top" id="AD6-Xx-UBq"/>
                            <constraint firstItem="PNV-Lz-fP9" firstAttribute="top" secondItem="31f-rb-MEd" secondAttribute="bottom" constant="2" id="I6h-7b-bOZ"/>
                            <constraint firstItem="uvH-F7-OXv" firstAttribute="bottom" secondItem="PNV-Lz-fP9" secondAttribute="bottom" id="Mzn-OS-nF7"/>
                            <constraint firstItem="dZa-1C-O7n" firstAttribute="leading" secondItem="Ax2-zD-pAw" secondAttribute="leading" constant="20" id="U9h-SS-nDq"/>
                            <constraint firstItem="uvH-F7-OXv" firstAttribute="leading" secondItem="PNV-Lz-fP9" secondAttribute="trailing" constant="4" id="VzI-Tr-M8l"/>
                            <constraint firstAttribute="bottom" secondItem="e1F-sr-cmv" secondAttribute="bottom" id="cpR-7S-TnL"/>
                            <constraint firstAttribute="bottom" secondItem="dZa-1C-O7n" secondAttribute="bottom" constant="8" id="j5D-KF-acE"/>
                            <constraint firstItem="dZa-1C-O7n" firstAttribute="bottom" secondItem="PNV-Lz-fP9" secondAttribute="bottom" constant="3.5" id="jDb-6i-SbA"/>
                            <constraint firstItem="Gdg-Bj-cNh" firstAttribute="trailing" secondItem="dZa-1C-O7n" secondAttribute="trailing" id="kJk-Zj-CVg"/>
                            <constraint firstAttribute="trailing" secondItem="HTB-fD-O0A" secondAttribute="trailing" constant="20" id="kta-xb-jfT"/>
                            <constraint firstItem="HTB-fD-O0A" firstAttribute="leading" relation="greaterThanOrEqual" secondItem="31f-rb-MEd" secondAttribute="trailing" constant="26" id="m2I-Vl-5fH"/>
                            <constraint firstAttribute="trailing" secondItem="uvH-F7-OXv" secondAttribute="trailing" constant="20" id="qf4-J9-Vcl"/>
                            <constraint firstAttribute="trailing" secondItem="e1F-sr-cmv" secondAttribute="trailing" id="rkf-JI-eoW"/>
                            <constraint firstItem="e1F-sr-cmv" firstAttribute="top" secondItem="Ax2-zD-pAw" secondAttribute="top" id="uaY-5d-Jap"/>
                            <constraint firstItem="dZa-1C-O7n" firstAttribute="top" secondItem="Ax2-zD-pAw" secondAttribute="top" constant="8" id="vqv-wT-OHb"/>
                            <constraint firstItem="PNV-Lz-fP9" firstAttribute="leading" secondItem="31f-rb-MEd" secondAttribute="leading" id="vut-uI-X3k"/>
                        </constraints>
                    </view>
                </subviews>
                <constraints>
                    <constraint firstItem="Ax2-zD-pAw" firstAttribute="top" secondItem="H2p-sc-9uM" secondAttribute="top" id="hvd-Ji-a4M"/>
                    <constraint firstAttribute="bottom" secondItem="Ax2-zD-pAw" secondAttribute="bottom" id="iDY-pg-uDS"/>
                    <constraint firstItem="Ax2-zD-pAw" firstAttribute="leading" secondItem="H2p-sc-9uM" secondAttribute="leading" id="k1B-77-DjH"/>
                    <constraint firstAttribute="trailing" secondItem="Ax2-zD-pAw" secondAttribute="trailing" id="rxZ-HX-s3h"/>
                </constraints>
            </tableViewCellContentView>
            <viewLayoutGuide key="safeArea" id="njF-e1-oar"/>
            <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
            <connections>
                <outlet property="cellView" destination="Ax2-zD-pAw" id="GsA-B9-iKc"/>
                <outlet property="countLabel" destination="enN-sb-fUR" id="uZd-tC-FoD"/>
                <outlet property="countView" destination="Shj-95-1fb" id="utO-5Z-Plo"/>
                <outlet property="lastMessageIcon" destination="cyE-qd-rWj" id="1hW-nY-q0J"/>
                <outlet property="lastMessageLabel" destination="IDk-Rn-rG8" id="hxB-LW-1NH"/>
                <outlet property="lastSeenImage" destination="g6Y-hX-ou9" id="CGd-2k-JG4"/>
                <outlet property="muteImageView" destination="EbH-9c-zMB" id="maP-J4-9gD"/>
                <outlet property="onlineImageView" destination="ziR-3z-1hE" id="g41-fX-c6i"/>
                <outlet property="pinMessage" destination="FyK-t8-FJU" id="66f-r5-o9T"/>
                <outlet property="pinMessageWidth" destination="4MA-pD-3jf" id="0f5-HQ-hIr"/>
                <outlet property="sideView" destination="e1F-sr-cmv" id="o5y-gg-hDJ"/>
                <outlet property="statusView" destination="Gdg-Bj-cNh" id="WLl-kK-YiV"/>
                <outlet property="timeLabel" destination="HTB-fD-O0A" id="5f9-HM-LXd"/>
                <outlet property="userImageView" destination="dZa-1C-O7n" id="6OE-IW-gMb"/>
                <outlet property="userNameLabel" destination="31f-rb-MEd" id="1p2-jd-E2x"/>
            </connections>
            <point key="canvasLocation" x="135.38461538461539" y="-11.374407582938389"/>
        </tableViewCell>
    </objects>
    <resources>
        <image name="dm_image" width="45" height="45"/>
        <image name="ic_Offline" width="64" height="64"/>
        <image name="ic_last_phone" width="64" height="64"/>
        <image name="icon_pin_vector" width="507" height="507"/>
        <image name="volume.slash.fill" catalog="system" width="118" height="128"/>
        <namedColor name="color_fill">
            <color red="0.97254901960784312" green="0.97254901960784312" blue="0.96862745098039216" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <namedColor name="color_react">
            <color red="0.4823529411764706" green="0.4823529411764706" blue="0.4823529411764706" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <namedColor name="gnt_white">
            <color red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <namedColor name="secondary_text_color">
            <color red="0.53333333333333333" green="0.53333333333333333" blue="0.53333333333333333" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <namedColor name="text_color">
            <color red="0.094117647058823528" green="0.094117647058823528" blue="0.094117647058823528" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
    </resources>
</document>
